Debian Bug report logs - #544289
links2: Doesn't support UTF-8

version graph

Package: links2; Maintainer for links2 is Axel Beckert <abe@debian.org>; Source for links2 is src:links2.

Reported by: Samuel Thibault <sthibault@debian.org>

Date: Sun, 30 Aug 2009 12:09:03 UTC

Severity: normal

Found in version links2/2.2-1

Fixed in version links2/2.3~pre1-1

Done: Axel Beckert <abe@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Gürkan Sengün <gurkan@phys.ethz.ch>:
Bug#544289; Package links2. (Sun, 30 Aug 2009 12:09:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Thibault <sthibault@debian.org>:
New Bug report received and forwarded. Copy sent to Gürkan Sengün <gurkan@phys.ethz.ch>. (Sun, 30 Aug 2009 12:09:13 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Samuel Thibault <sthibault@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: links2: Doesn't support UTF-8
Date: Sun, 30 Aug 2009 13:54:33 +0200
Package: links2
Version: 2.2-1+b1
Severity: normal

Hello,

links2 doesn't support the UTF-8 character set (the now-default
character set of Debian).

Language and character set should rather be fetched from the current
locale setting BTW (setlocale() then nl_langinfo(CODESET), as already
used in the X case).

Samuel

-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (990, 'testing'), (500, 'unstable'), (500, 'stable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.30 (SMP w/2 CPU cores)
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages links2 depends on:
ii  libc6                  2.9-23            GNU C Library: Shared libraries
ii  libdirectfb-1.2-0      1.2.7-2           direct frame buffer graphics - sha
ii  libgpm2                1.20.4-3.2        General Purpose Mouse - shared lib
ii  libjpeg62              6b-15             The Independent JPEG Group's JPEG 
ii  libpng12-0             1.2.38-1          PNG library - runtime
ii  libssl0.9.8            0.9.8k-4          SSL shared libraries
ii  libsvga1               1:1.4.3-27        console SVGA display libraries
ii  libtiff4               3.8.2-13+b1       Tag Image File Format (TIFF) libra
ii  libx11-6               2:1.2.2-1         X11 client-side library
ii  zlib1g                 1:1.2.3.3.dfsg-15 compression library - runtime

links2 recommends no packages.

links2 suggests no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#544289; Package links2. (Mon, 01 Feb 2010 12:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Gürkan Sengün <gurkan@phys.ethz.ch>:
Extra info received and forwarded to list. (Mon, 01 Feb 2010 12:12:03 GMT) Full text and rfc822 format available.

Message #10 received at 544289@bugs.debian.org (full text, mbox):

From: Gürkan Sengün <gurkan@phys.ethz.ch>
To: 544289@bugs.debian.org
Subject: links2: Doesn't support UTF-8
Date: Mon, 01 Feb 2010 13:11:07 +0100
Hello

Could you test this version with UTF-8, it should fix the issue.
If it's good, it needs a sponsor:
http://gnu.ethz.ch/debian/links2/links2_2.3pre1-1.dsc

Yours,
Guerkan




Added tag(s) pending. Request was from Axel Beckert <abe@debian.org> to control@bugs.debian.org. (Fri, 09 Jul 2010 09:06:02 GMT) Full text and rfc822 format available.

Reply sent to Axel Beckert <abe@debian.org>:
You have taken responsibility. (Fri, 09 Jul 2010 15:36:06 GMT) Full text and rfc822 format available.

Notification sent to Samuel Thibault <sthibault@debian.org>:
Bug acknowledged by developer. (Fri, 09 Jul 2010 15:36:07 GMT) Full text and rfc822 format available.

Message #17 received at 544289-close@bugs.debian.org (full text, mbox):

From: Axel Beckert <abe@debian.org>
To: 544289-close@bugs.debian.org
Subject: Bug#544289: fixed in links2 2.3~pre1-1
Date: Fri, 09 Jul 2010 15:32:09 +0000
Source: links2
Source-Version: 2.3~pre1-1

We believe that the bug you reported is fixed in the latest version of
links2, which is due to be installed in the Debian FTP archive:

links2_2.3~pre1-1.debian.tar.gz
  to main/l/links2/links2_2.3~pre1-1.debian.tar.gz
links2_2.3~pre1-1.dsc
  to main/l/links2/links2_2.3~pre1-1.dsc
links2_2.3~pre1-1_i386.deb
  to main/l/links2/links2_2.3~pre1-1_i386.deb
links2_2.3~pre1.orig.tar.gz
  to main/l/links2/links2_2.3~pre1.orig.tar.gz
links_2.3~pre1-1_i386.deb
  to main/l/links2/links_2.3~pre1-1_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 544289@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Axel Beckert <abe@debian.org> (supplier of updated links2 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 09 Jul 2010 17:08:56 +0200
Source: links2
Binary: links2 links
Architecture: source i386
Version: 2.3~pre1-1
Distribution: unstable
Urgency: low
Maintainer: Gürkan Sengün <gurkan@phys.ethz.ch>
Changed-By: Axel Beckert <abe@debian.org>
Description: 
 links      - Web browser running in text mode
 links2     - Web browser running in both graphics and text mode
Closes: 510417 544289 556118
Changes: 
 links2 (2.3~pre1-1) unstable; urgency=low
 .
   [Gürkan Sengün]
   * New upstream version.
     + Supports UTF-8 (Closes: #544289)
   * debian/rules: drop dh_desktop call.
   * Bump debhelper version to 7.
   * Added debian/watch file.
 .
   [Axel Beckert]
   * Added myself to Uploaders
   * Bumped Standards-Version to 3.9.0 (no changes)
   * Move to Source Format "3.0 (quilt)"
   * Apply patch by Mats Erik Andersson <mats.andersson@gisladisker.se>
     abort if an SSL certificate doesn't validate and update it to fit to
     2.3pre1 sources. (Closes: #510417)
   * Added appropriate prerm and postinst scripts for links, too
     (Closes: #556118, LP: #443391)
Checksums-Sha1: 
 e01e41d9a8727dd86cb818250412e2817eeb40cf 1343 links2_2.3~pre1-1.dsc
 90e9674bca07d17c1836c8b6e7a20399d7d12ceb 4195393 links2_2.3~pre1.orig.tar.gz
 e88cc9a0d4e4bf019079d995f0a3092f5e2f40e2 36065 links2_2.3~pre1-1.debian.tar.gz
 8745a8355abaa9751039f1886da3b6a71adc9085 2002976 links2_2.3~pre1-1_i386.deb
 cd79e568844c921f1dcf54cf1dcbebe47fe26179 512384 links_2.3~pre1-1_i386.deb
Checksums-Sha256: 
 09a074ab906b7629052a588d83328cc702285bcac195e69cc91a79a62d7e40fd 1343 links2_2.3~pre1-1.dsc
 c3a08640c29e0db3ed7209a10201f5bccfc4e0b0e2abcaaeef1b3faa068e8389 4195393 links2_2.3~pre1.orig.tar.gz
 ccc61a982aad78a0510f0576e03390c246cca5a4a7c3bc19060a2489e8adaa07 36065 links2_2.3~pre1-1.debian.tar.gz
 f18f24a1790ded98438b956eff632d3379c9a24b9bee5cab4c681fe0c8320fbd 2002976 links2_2.3~pre1-1_i386.deb
 7bfc60da5ff70677b0809cfe53970bd8582260e2f1d699ee8e3c82005471c2bf 512384 links_2.3~pre1-1_i386.deb
Files: 
 9e6fba6688d1842711b480f927f42a84 1343 web optional links2_2.3~pre1-1.dsc
 31218f291a1e31069c070a9f2fd5aa42 4195393 web optional links2_2.3~pre1.orig.tar.gz
 c5a14f2baed6cfc3002cc5ebafb3d463 36065 web optional links2_2.3~pre1-1.debian.tar.gz
 3213a6c1407afdbdb3228a42c77f46b7 2002976 web optional links2_2.3~pre1-1_i386.deb
 aba87ed2bd01c0c250c3a4012b8764db 512384 web optional links_2.3~pre1-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkw3PZEACgkQwJ4diZWTDt7CHgCdFG9Omxh8PmQJDWf1lxmlWlDh
0AkAnimjZNQVmPa5NA1dniSJDzwqvAj5
=gbta
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 17 Aug 2010 07:35:28 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 08:14:42 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.